# Module `wibox.widget.imagebox`

### Info:

- Author: Uli Schlachter
- Copyright: 2010 Uli Schlachter
- Release: v3.5.1

## Functions

imagebox:draw (wibox, cr, width, height) | Draw an imagebox with the given cairo context in the given geometry.
imagebox:fit (width, height) | Fit the imagebox into the given geometry
imagebox:set_image (image) | Set an imagebox' image
imagebox:set_resize (allowed) | Should the image be resized to fit into the available space?

## Functions

imagebox:draw (wibox, cr, width, height)
  Draw an imagebox with the given cairo context in the given geometry.

  ### Parameters:

  - wibox
  - cr
  - width
  - height
imagebox:fit (width, height)
  Fit the imagebox into the given geometry

  ### Parameters:

  - width
  - height
imagebox:set_image (image)
  Set an imagebox' image interpreted as the path to a png image file.

  ### Parameters:

  - image Either a string or a cairo image surface. A string is
imagebox:set_resize (allowed)
  Should the image be resized to fit into the available space? to fit into the available space.

  ### Parameters:

  - allowed If false, the image will be clipped, else it will be resized

generated by LDoc 1.3